Bug 717133 - Duplicity on EL4 (From epel) doesn't even work
Summary: Duplicity on EL4 (From epel) doesn't even work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: duplicity
Version: el4
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-28 05:50 UTC by Pablo Iranzo Gómez
Modified: 2011-08-05 08:33 UTC (History)
1 user (show)

Fixed In Version: duplicity-0.6.14-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 03:43:11 UTC
Type: ---


Attachments (Terms of Use)

Description Pablo Iranzo Gómez 2011-06-28 05:50:46 UTC
Description of problem:
Running  duplicity-0.6.11-1.el4 on EL4.9 + all updates but kernel gives:

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 42, in ?
    from duplicity import commandline
  File "/usr/lib/python2.3/site-packages/duplicity/commandline.py", line 148, in ?
    class DupOption(optparse.Option):
  File "/usr/lib/python2.3/site-packages/duplicity/commandline.py", line 158, in DupOption
    ALWAYS_TYPED_ACTIONS = optparse.Option.ALWAYS_TYPED_ACTIONS + ("extend",)
AttributeError: class Option has no attribute 'ALWAYS_TYPED_ACTIONS'


Version-Release number of selected component (if applicable):
duplicity-0.6.11-1.el4

How reproducible:
Just run 'duplicity'

  
Actual results:
Traceback


Expected results:
Running fine

Additional info:
Same problem: https://answers.launchpad.net/duplicity/+question/121732

Comment 1 Fedora Update System 2011-07-17 20:41:45 UTC
duplicity-0.6.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.fc15

Comment 2 Fedora Update System 2011-07-17 20:42:22 UTC
duplicity-0.6.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.fc14

Comment 3 Fedora Update System 2011-07-17 20:42:50 UTC
duplicity-0.6.14-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.el6

Comment 4 Fedora Update System 2011-07-17 20:43:20 UTC
duplicity-0.6.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.el5

Comment 5 Fedora Update System 2011-07-17 20:44:25 UTC
duplicity-0.6.14-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.el4

Comment 6 Robert Scheck 2011-07-17 20:45:25 UTC
I've tried to add a fix with duplicity-0.6.14-1.el4, but you should try to
get your RHEL 4 (or derivate) migrated to RHEL 6 (or derivate), because the
RHEL 4 comes closer and closer to end of lifetime anyway.

Comment 7 Pablo Iranzo Gómez 2011-07-18 14:35:26 UTC
Hi
Will check the new version just to see if it works or not, as we were proposing it for a backup replacement tool, on our systems (EL4 and EL5) when we found that problem.

EL6 is in the distant future at the moment... :)

Thanks!
Pablo

Comment 8 Pablo Iranzo Gómez 2011-07-18 14:51:07 UTC
Hi
Afaik, it seems to work on EL4 and EL5, will test better during this week

Thanks
Pablo

Comment 9 Fedora Update System 2011-07-18 22:35:01 UTC
Package duplicity-0.6.14-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing duplicity-0.6.14-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.fc15
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-07-31 03:42:57 UTC
duplicity-0.6.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-07-31 04:00:00 UTC
duplicity-0.6.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-08-05 08:29:31 UTC
duplicity-0.6.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-08-05 08:30:15 UTC
duplicity-0.6.14-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-08-05 08:32:54 UTC
duplicity-0.6.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.